OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
PTKernel
PShort

# PShort_VArrayTNodeOfFieldOfHArray2OfShortReal Class Reference

`#include <PShort_VArrayTNodeOfFieldOfHArray2OfShortReal.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| PShort_VArrayTNodeOfFieldOfHArray2OfShortReal ()
| PShort_VArrayTNodeOfFieldOfHArray2OfShortReal (const Standard_ShortReal &aValue)
void | SetValue (const Standard_ShortReal &aValue)
Standard_Address | Value () const
## Private Attributes
Standard_ShortReal | myValue

## Constructor & Destructor Documentation

PShort_VArrayTNodeOfFieldOfHArray2OfShortReal::PShort_VArrayTNodeOfFieldOfHArray2OfShortReal | ( |  | ) |

PShort_VArrayTNodeOfFieldOfHArray2OfShortReal::PShort_VArrayTNodeOfFieldOfHArray2OfShortReal | ( | const Standard_ShortReal & | aValue | ) |

## Member Function Documentation

void PShort_VArrayTNodeOfFieldOfHArray2OfShortReal::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PShort_VArrayTNodeOfFieldOfHArray2OfShortReal::operator new | ( | size_t | size | ) | `[inline]`

void* PShort_VArrayTNodeOfFieldOfHArray2OfShortReal::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void PShort_VArrayTNodeOfFieldOfHArray2OfShortReal::SetValue | ( | const Standard_ShortReal & | aValue | ) |

Standard_Address PShort_VArrayTNodeOfFieldOfHArray2OfShortReal::Value | ( |  | ) | const

## Field Documentation

Standard_ShortReal PShort_VArrayTNodeOfFieldOfHArray2OfShortReal::myValue`[private]`

The documentation for this class was generated from the following file:

- PShort_VArrayTNodeOfFieldOfHArray2OfShortReal.hxx